/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

public class ArraysPraceSCastiPole {
  final static int POCET = 12;
  static int[] pole;

  static void vypisPole() {
    for (int i = 0;  i < pole.length;  i++)
      System.out.print(pole[i] + ", ");
    System.out.println();
  }

  public static void main(String[] args) {
    int dolni = POCET / 3;
    int horni = 2 * dolni;
    pole = new int[POCET];

    for (int i = 0;  i < pole.length;  i++) {
      pole[i] = i;
    }
    vypisPole();

    Arrays.fill(pole, dolni, horni, 20);
    vypisPole();

    for (int i = horni;  i < pole.length;  i++) {
      pole[i] = (int) (Math.random() * 30.0);
    }
    vypisPole();

    Arrays.sort(pole, horni, pole.length);
    vypisPole();

    Arrays.sort(pole);
    vypisPole();
  }
}  
