/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

public class PrevodNaStringRychlost {
  public static void main(String[] args) {
    int kolik;
    if (args.length > 0)
      kolik = Integer.parseInt(args[0]);
    else
      kolik = 10;

    long z, k;
    String s;
    z = System.currentTimeMillis();
    for (int i = 0;  i < kolik;  i++) {
      for (int j = 0;  j < 1000000;  j++) {
        s = "" + j;
      }
    }  

    k = System.currentTimeMillis();
    System.out.println("cas = " + (k - z));

    z = System.currentTimeMillis();
    for (int i = 0;  i < kolik;  i++) {
      for (int j = 0;  j < 1000000;  j++) {
        s = String.valueOf(j);
      }
    }  

    k = System.currentTimeMillis();
    System.out.println("cas = " + (k - z));
  }
}
