/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

public class ArrayListKapacita {
  public static final int POKUSU = 1000000;

  public static void main(String[] args) {
    ArrayList ar = new ArrayList();
    long zac = System.currentTimeMillis();
    for (int i = 0;  i < POKUSU;  i++) {
      ar.add(new Integer(i));
    }
    long kon = System.currentTimeMillis();
    System.out.println("Trvani bez kapacity:      " + (kon - zac) + " [msec]");
    ar = null;
//    System.gc();

    ar = new ArrayList(POKUSU);
    zac = System.currentTimeMillis();
    for (int i = 0;  i < POKUSU;  i++) {
      ar.add(new Integer(i));
    }
    kon = System.currentTimeMillis();
    System.out.println("Trvani s plnou kapacitou: " + (kon - zac) + " [msec]");
  }
}
