/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class CitacSeJmenem {
  int n = 1;
  String jmeno;
  CitacSeJmenem(String jmeno) { this.jmeno = jmeno; }
  public String toString() {
    return jmeno + "=" + Integer.toString(n);
  }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof CitacSeJmenem == false)
      return false;
    boolean stejneJmeno = jmeno.equals(((CitacSeJmenem) o).jmeno);
    return (stejneJmeno);
  }
}

public class PoctyJmenSeznam2 {
  public static int pocet = 100000;
  public static int rad = 2;

  static String simulovaneCteniZeSouboru() {
    if (pocet > 0) {
      pocet--;
      StringBuffer s = new StringBuffer(4);
      char c;
      for (int i = 1;  i <= rad;  i++) {
        c = (char) ((int) (Math.random() * 10) + 'a');
        s = s.append(c);
      }
      return s.toString();
    }
    else {
      return null;
    }
  }

  public static void main(String[] args) {
    if (args.length >= 1)
      rad = Integer.parseInt(args[0]);
    if (args.length >= 2)
      pocet = Integer.parseInt(args[1]);
    System.out.println("Pocet: " + pocet);
    ArrayList ar = new ArrayList();
    String s;
    int i;
    long zac = System.currentTimeMillis();
    while ((s = simulovaneCteniZeSouboru()) != null) {
      CitacSeJmenem csj = new CitacSeJmenem(s);
      if ((i = ar.indexOf((Object) csj)) == -1)
        ar.add(csj);
      else
        ((CitacSeJmenem) ar.get(i)).n++;
    }
    long kon = System.currentTimeMillis();
    System.out.println("Prvku: " + ar.size());
    System.out.println("Cas: " + (kon - zac));
  }
}
