/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Hruska {
  private int cena;
  Hruska(int cena) { this.cena = cena; }
  public String toString() { return "" + cena; }
  public void tisk() { System.out.print(cena + ", "); }
}

public class IteratorZakladniPouziti {
  public static void main(String[] args) {
    ArrayList kosHrusek = new ArrayList();
    for (int i = 0;  i < 10;  i++) {
      kosHrusek.add(new Hruska(i + 20));
    }

    for (Iterator it = kosHrusek.iterator();  it.hasNext(); ) {
      System.out.print(it.next() + ", ");
    }
    System.out.println();

    Iterator it = kosHrusek.iterator();
    while (it.hasNext()) {
      ((Hruska) it.next()).tisk();
    }
    System.out.println();
  }
}
 
