/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Hruska implements Comparable {
  int cena;
  Hruska(int cena) { this.cena = cena; }
  public String toString() { return "" + cena; }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof Hruska == false)
      return false;
    boolean stejnaCena = (cena == ((Hruska) o).cena);
    return stejnaCena;
  }

  public int hashCode() {
    return cena;
  }

  public int compareTo(Object o) {  // sestupne razeni !!!
    int cenaPom = ((Hruska) o).cena;
    if (cenaPom > cena)
      return (+1);
    else if (cenaPom == cena)
      return (0);
    else
      return (-1);
  }
}

public class HruskyVMnozine {
  static void praceSHruskami(String typ, Set st) {
    for (int i = 20;  i < 30;  i++) {
      st.add(new Hruska(i));
    }
    st.add(new Hruska(25));

    // tisk mnoziny iteratorem
    System.out.print(typ + "-pocet: " + st.size() + " [");
    for (Iterator it = st.iterator();  it.hasNext(); ) {
      System.out.print(it.next() + ", ");
    }
    System.out.println("]");
  }

  public static void main(String[] args) {
    praceSHruskami("HashSet", new HashSet());
    praceSHruskami("TreeSet", new TreeSet());
  }
}
