/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Hruska implements Comparable {
  int cena;

  Hruska(int cena) { this.cena = cena; }

  public String toString() { return "" + cena; }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof Hruska == false)
      return false;
    boolean stejnaCena = (cena == ((Hruska) o).cena);
    return stejnaCena;
  }

  public int hashCode() {
    return cena;
  }

  public int compareTo(Object o) {
    int cenaPom = ((Hruska) o).cena;
    if (cenaPom > cena)
      return (-1);
    else if (cenaPom == cena)
      return (0);
    else
      return (+1);
  }
}

public class HruskyVSerazeneMnozine {
  public static void main(String[] args) {
    SortedSet st = new TreeSet();

    for (int i = 20;  i < 30 ;  i++) {
      st.add(new Hruska(i));
    }
    System.out.println("Cely kosik: " + st);
    System.out.println("Nejdrazsi hruska: " +
                       st.last());
    System.out.println("Nejlevnejsi hruska: " +
                       st.first());
/*
    Iterator it = st.iterator();
    ((Hruska) it.next()).cena = 50;
    System.out.println("Zmena: " + st);
*/
//    TreeSet pom = st.subSet((Object) new Hruska(23),
    SortedSet pom = st.subSet((Object) new Hruska(23),
                            (Object) new Hruska(26));
    System.out.println("Od 23 do 26: " + pom.size() + " " + pom);
    pom = st.headSet((Object) new Hruska(25));
    System.out.println("Pod 25: " + pom.size() + " " + pom);
    pom = st.tailSet((Object) new Hruska(25));
    System.out.println("Nad 25: " + pom.size() + " " + pom);
  }
}
