/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Vaha {
  double vaha;
  Vaha(double vaha) { this.vaha = vaha; }

  public String toString() {
    return "" + vaha;
  }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof Vaha == false)
      return false;
    boolean stejnaVaha = (vaha == ((Vaha) o).vaha);
    return stejnaVaha;
  }

  public int hashCode() {
    return (int) vaha;
  }
}

public class HashMapZakladniPouziti {
  public static void main(String[] args) {
    HashMap hm = new HashMap();
    System.out.println("Mapa je prazdna: " + hm.isEmpty()
                        + " a obsahuje prvku: " + hm.size());
    hm.put("Pavel", new Vaha(85));
    hm.put("Venca", new Vaha(105));
    hm.put("Karel", new Vaha(85));
    System.out.println("Mapa je prazdna: " + hm.isEmpty()
                        + " a obsahuje prvku: " + hm.size());
    System.out.println("Mapa: " + hm);
    hm.remove("Karel");
    System.out.println("Mapa: " + hm);
    hm.put("Karel", new Vaha(70));
    System.out.println("Mapa: " + hm);
    Vaha v = (Vaha) hm.get("Venca");
    System.out.println("Venca vazi: " + v);
    if (hm.containsKey("Pavel"))
      System.out.println("Pavel vazi: " + (Vaha) hm.get("Pavel"));
    if (hm.containsValue(new Vaha(105)))
      System.out.println("Nekdo vazi 105 kg");

    ((Vaha) hm.get("Pavel")).vaha += 10;  // Pavel ztlousnul
    System.out.println("Lidi: " + hm.keySet());
//    ArrayList ar = (ArrayList) hm.values();  // nelze
//    HashSet hs = (HashSet) hm.values();      // nelze
    Collection col = hm.values();
    Iterator it = col.iterator();
    ((Vaha) it.next()).vaha += 7;       // nekdo ztlousnul
    System.out.println("Vahy: " + col);
    System.out.println("Mapa: " + hm);

    it = col.iterator();
    double[] poleVah = new double[col.size()];
    int i = 0;
    while (it.hasNext()) {
      Vaha va = (Vaha) it.next();
      poleVah[i] = (double) va.vaha;
      i++;
    }
    System.out.print("Pole vah: ");
    for (int j = 0;  j < i;  j++)
      System.out.print(poleVah[j] + ", ");
  }
}
