/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Vaha {
  double vaha;
  Vaha(double vaha) { this.vaha = vaha; }

  public String toString() {
    return Double.toString(vaha);
  }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof Vaha == false)
      return false;
    boolean stejnaVaha = (vaha == ((Vaha) o).vaha);
    return stejnaVaha;
  }

  public int hashCode() {
    return (int) vaha;
  }
}

public class IteratorVHashMape {
  public static void main(String[] args) {
    HashMap hm = new HashMap();
    hm.put("Pavel", new Vaha(85));
    hm.put("Venca", new Vaha(105));
    hm.put("Karel", new Vaha(70));
    System.out.println("Mapa: " + hm);

    // iterator pres klice
    System.out.print("Klice: ");
    for (Iterator it = hm.keySet().iterator();  it.hasNext(); )
      System.out.print(it.next() + ", ");
    System.out.println();
 
    // iterator pres hodnoty
    System.out.print("Hodnoty: ");
    for (Iterator it = hm.values().iterator();  it.hasNext(); )
      System.out.print(it.next() + ", ");
    System.out.println();

    // iterator pres dvojice
    System.out.print("Dvojice: ");
    for (Iterator it = hm.entrySet().iterator();  it.hasNext(); ) {
      Map.Entry e = (Map.Entry) it.next();
      System.out.print(e.getKey() + "=" + e.getValue() + ", ");
    }
    System.out.println();

    System.out.print("Vsichni ztloustli: ");
    for (Iterator it = hm.entrySet().iterator();  it.hasNext(); ) {
      Map.Entry e = (Map.Entry) it.next();
      double d = ((Vaha) e.getValue()).vaha;
      Vaha v = new Vaha(d + 10);
      System.out.print(e.getKey() + "=" + e.setValue(v) + "->" + e.getValue() + ", ");
    }
    System.out.println();
    System.out.println("Mapa: " + hm);
  }
}
