/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class VahaKlic implements Comparable {
  double vaha;
  VahaKlic(double vaha) { this.vaha = vaha; }

  public String toString() {
    return Double.toString(vaha);
  }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof VahaKlic == false)
      return false;
    boolean stejnaVaha = (vaha == ((VahaKlic) o).vaha);
    return stejnaVaha;
  }

  public int hashCode() {
    return (int) vaha;
  }

  public int compareTo(Object o) {
    return ((int) (this.vaha - ((VahaKlic) o).vaha));
  }
}

class VahovyObracenyKomparator implements Comparator {
  public int compare(Object o1, Object o2) {
    return (int) (((VahaKlic) o2).vaha - ((VahaKlic) o1).vaha);
  }
}

public class MujTreeMap {
  static void praceSMapou(TreeMap tm) {
    String s;
    Comparator c = tm.comparator();
    if (c == null)
      s = "prirozene razeni";
    else
      s = c.getClass().getName();
    System.out.println("Komparator: " + s);

    tm.put(new VahaKlic(85), "Pavel");
    tm.put(new VahaKlic(105), "Venca");
    tm.put(new VahaKlic(74), "Karel");
    System.out.println("Mapa: " + tm);
    VahaKlic v = (VahaKlic) tm.lastKey();
    System.out.println("Nejvice vazi: "
                       + v + "=" + tm.get(v));
    SortedMap pom = tm.tailMap(new VahaKlic(85));
//    TreeMap pom = (TreeMap) tm.tailMap(new VahaKlic(85));
    System.out.println("Dva nejtezsi: " + pom + "\n");
  }

  public static void main(String[] args) {
    praceSMapou(new TreeMap());
    praceSMapou(new TreeMap(new VahovyObracenyKomparator()));
  }
}
