/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

public class NastaveniVMape {
  private static String[] key = {"pozadi", "popredi", "ramecek"};
  private static String[] hodDef = {"bila", "cerna", "modra"};
  private static String[] hodUziv = {null, "modra", "cervena"};

  static Map options(String[] hodnoty) {
    Map m = new HashMap();
    for (int i = 0;  i < key.length;  i++) {
      if (hodnoty[i] != null)
        m.put(key[i], hodnoty[i]);
    }
    return m;
  }

  public static void main(String args[]) {
    Map defaultNastaveni = options(hodDef);
    Map uzivatelNastaveni = options(hodUziv);
    HashMap platneNastaveni = new HashMap(defaultNastaveni);
    platneNastaveni.putAll(uzivatelNastaveni);
    System.out.println("Default:  " + defaultNastaveni);
    System.out.println("Uzivatel: " + uzivatelNastaveni);
    System.out.println("Platne:   " + platneNastaveni);
  }
}
