/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Vaha {
  double vaha;
  Vaha(double vaha) { this.vaha = vaha; }

  public String toString() {
    return Double.toString(vaha);
  }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof Vaha == false)
      return false;
    boolean stejnaVaha = (vaha == ((Vaha) o).vaha);
    return stejnaVaha;
  }

  public int hashCode() {
    return (int) vaha;
  }
}

public class UbiraniZHashMapy {
  static void naplneniMapyATisk(HashMap hm) {
    hm.clear();
    for (int i = 1;  i <= 4;  i++) {
      String jmeno = "Robot" + i;
      hm.put(jmeno, new Vaha(50 + i));
    }
    System.out.println("Mapa: " + hm);
  }
 
  public static void main(String[] args) {
    HashMap hm = new HashMap();
    naplneniMapyATisk(hm);

    Set kl = hm.keySet();
    kl.remove("Robot1");
    kl.remove("Robot2");
    System.out.println("Mapa bez klicu: " + hm);
 
    naplneniMapyATisk(hm);
    Collection hod = hm.values();
    Iterator it = hod.iterator();
    it.next();
    for (;  it.hasNext(); ) {
      it.next();
      it.remove();
    }
    System.out.println("Mapa bez hodnot: " + hm);

    naplneniMapyATisk(hm);
    for (it = hm.entrySet().iterator();  it.hasNext(); ) {
      Map.Entry e = (Map.Entry) it.next();
      String s = (String) e.getKey();
      char c = s.charAt(s.length() - 1);
      int i = Character.digit(c, 10);
      if (i % 2 == 0)
        it.remove();   
    }
    System.out.println("Mapa bez sudych: " + hm);
  }
}
