/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

public class CteniZVlaken extends Thread {
  static ArrayList kol;  // pouze jedna kolekce

  Iterator it;

  CteniZVlaken(String jmeno, Iterator it) {
    super(jmeno);
    this.it = it;
  }

  public void run() {
    while (it.hasNext()) {
      System.out.println(getName() + ": " + it.next());
      Thread.yield();
    }
  }

  public static void main(String[] args) {
    kol = new ArrayList();
    for (int i = 1;  i <= 4;  i++) {
      kol.add(new Integer(i));
    }

    new CteniZVlaken("1. vlakno", kol.iterator()).start();
    new CteniZVlaken("2. vlakno", kol.iterator()).start();
  }
}
