/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Ovoce {
  int cena;
  String typ;
  Ovoce(int cena) {
    this.cena = cena;
    this.typ = "jablko";   // pro jednoduchost
  }

  public String toString() {
    return typ + ":" + cena + " Kc";
  }

  public int hashCode() {
    return cena;
  }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof Ovoce == false)
      return false;

    boolean stejnaCena = (cena == ((Ovoce) o).cena);
    boolean stejnyTyp = (typ == ((Ovoce) o).typ);
    return (stejnaCena && stejnyTyp);
  }
}

public class StejneHesovaciKody {
  public static void main(String[] args) {
    HashSet ovoceSet = new HashSet();
    ovoceSet.add(new Ovoce(7));
    ovoceSet.add(new Ovoce(7));
    System.out.println("ovoceSet: " + ovoceSet);
    System.out.println("obsahuje 7: "
             + ovoceSet.contains(new Ovoce(7)));
    Ovoce hruska = new Ovoce(7);
    hruska.typ = "hruska";
    ovoceSet.add(hruska);
    System.out.println("ovoceSet: " + ovoceSet);
    System.out.println("obsahuje 7: "
             + ovoceSet.contains(new Ovoce(7)));
  }
}
