/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Citac {
  int hodnota;
  Citac() { hodnota = 0; }

  void plusJedna() { hodnota++; }

  public int hashCode() {
    return hodnota;
  }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof Citac == false)
      return false;

    boolean stejnaHodnota = (hodnota == ((Citac) o).hodnota);
    return stejnaHodnota;
  }
}

public class ZmenaHesovacihoKodu {
  public static void main(String[] args) {
    HashSet hs = new HashSet();
    Citac c = new Citac();
    Citac pom = new Citac();
    System.out.println("citace jsou si rovny: " + c.equals(pom));

    hs.add(c);
    System.out.println(hs);
    System.out.println("obsahuje 0: "
                           + hs.contains(pom));
    pom.plusJedna();
    System.out.println(hs);
    System.out.println("obsahuje 0: "
                           + hs.contains(pom));
  }
}
