/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

public class RandomGaussMeze {
  static int pocet = 1000000;

  public static void main(String[] args) {
    if (args.length == 1)
      pocet = Integer.parseInt(args[0]);

    Random r = new Random(0);
    double d;
    double max = Double.MIN_VALUE;
    double min = Double.MAX_VALUE;
    for (int i = 0;  i < pocet;  i++) {
      d = r.nextGaussian();
      if (d > max)
        max = d;
      if (d < min)
        min = d;  
    }

    System.out.println("Pokusu: " + pocet);
    System.out.println("Min: " + min);
    System.out.println("Max: +" + max);
  }
}

