/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Cele {
  int h;

  Cele(int h) { this.h = h; }
  public String toString() { return "" + h; }
}

public class ArraycopyObecneObjekty {
  final static int POCET = 5;

  static void vypisPole(Cele[] pole) {
    for (int i = 0;  i < pole.length;  i++)
      System.out.print(pole[i] + ", ");
    System.out.println();
  }

  public static void main(String[] args) {
    Cele[] pole1 = new Cele[POCET];
    Cele[] pole2 = new Cele[POCET * 2];

    for (int i = 0;  i < pole1.length;  i++) {
      pole1[i] = new Cele(i);
    }
    
    // typicke pouziti
    System.arraycopy(pole1, 0, pole2, 0, pole1.length);
    vypisPole(pole2);

    // kopirovani jen casti pole
    System.arraycopy(pole1, 2, pole2, 6, 3);
    // vypis pole trikem
    System.out.println(Arrays.asList(pole2));

    System.out.println("Zmena kopie");
    pole2[3].h = 123;
    vypisPole(pole1);
    vypisPole(pole2);
  }
}
