/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


public class ArraycopyZakladniDatovePrvky {
  final static int POCET = 10;

  static void vypisPole(int[] pole) {
    for (int i = 0;  i < pole.length;  i++)
      System.out.print(pole[i] + ", ");
    System.out.println();
  }

  public static void main(String[] args) {
    int[] pole1 = new int[POCET];
    int[] pole2 = new int[POCET * 2];

    for (int i = 0;  i < pole1.length;  i++) {
      pole1[i] = i;
    }
    // typicke pouziti
    System.arraycopy(pole1, 0, pole2, 0, pole1.length);
    vypisPole(pole2);

    // kopirovani jen casti pole
    System.arraycopy(pole1, 3, pole2, 12, 5);
    vypisPole(pole2);

    System.out.println("Zmena kopie");
    pole2[3] = 123;
    vypisPole(pole1);
    vypisPole(pole2);
  }
}
