/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;
import java.text.*;
import java.io.*;


class KomparatorCeskychAkcentovanychStringu implements Comparator {
  private Collator col = Collator.getInstance(new Locale("cs", "CZ"));

  public int compare(Object o1, Object o2) {
    String s1 = (String) o1;
    String s2 = (String) o2;
    return col.compare(s1, s2);
  }
}

public class ArraysAbsolutniRazeniAkcentovanychStringu {
  public static void main(String[] args) throws IOException {
    OutputStreamWriter o = new OutputStreamWriter(System.out, "Cp852");
    PrintWriter p = new PrintWriter(o);

    String[] akcentovaneRetezce = {
      "nov vk", "Nov Svt", "Nov svt", "nov Svt", 
      "nov svt", "Nov Svet", "Nov svet",
      "abc traktoristy", "ABC nstrojae",
      "abc nstrojae", "ABC kove", "ABC klempe",
      "abc frzae", "ABC", "Abc", "abc", "A", "a" };

    Arrays.sort(akcentovaneRetezce, 
                new KomparatorCeskychAkcentovanychStringu());

    for (int i = 0;  i < akcentovaneRetezce.length;  i++)
      p.println(akcentovaneRetezce[i]);

    p.flush();
  }
}
