/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

public class ArraysPoleStringu {
  final static int POCET = 5;
  static String[] pole = {"af", "ae", "ac", "ab", "aa"};

  static void vypisPole() {
    for (int i = 0;  i < pole.length;  i++)
      System.out.print("[" + i + "]=" + pole[i] + ", ");
    System.out.println();
  }

  static void najdi(String hodnota) {
    int k = Arrays.binarySearch(pole, hodnota);
    System.out.print("[" + k + "]=" + hodnota);
    if (k < 0)
      System.out.println("\t[" + -(k + 1) + "]=" + hodnota);
    else
      System.out.println();
  }

  public static void main(String[] args) {
    vypisPole();

    Arrays.sort(pole);
    vypisPole();

    najdi("ac");
    najdi("AA");
    najdi("ad");
    najdi("az");
  }  
}  
