/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Osoba implements Comparable {
  int vyska;
  double vaha;
  String popis;

  Osoba(int vyska, double vaha, String popis) {
    this.vyska = vyska;
    this.vaha = vaha;
    this.popis = popis;
  }
/*
  public int compareTo(Object os) {
    int osVyska = ((Osoba) os).vyska;
    if (this.vyska > osVyska)
      return +1;
    else if (this.vyska == osVyska)
      return 0;
    else
      return -1;
  }
*/
  // jednodussi a lepsi pro "mala" cisla
  public int compareTo(Object os) {
    return this.vyska - ((Osoba) os).vyska;
  }

  public String toString() {
    return "vy = " + vyska + ", va = " + vaha + ", " + popis ;
  }
}

public class ArraysPrirozeneRazeniObecnychObjektu {
  static Osoba[] poleOsob;

  public static void main(String[] args) {
    poleOsob = new Osoba[4];
    poleOsob[0] = new Osoba(186, 82.5, "muz");
    poleOsob[1] = new Osoba(172, 63.0, "zena");
    poleOsob[2] = new Osoba(105, 26.1, "dite");
    poleOsob[3] = new Osoba(116, 80.5, "obezni trpaslik");

    Arrays.sort(poleOsob);

    for (int i = 0;  i < poleOsob.length;  i++)
      System.out.println("[" + i + "] " + poleOsob[i]);
//      System.out.println("[" + i + "] " + poleOsob[i].toString());
  }
}
