/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Jablko {
  private String druh;
  Jablko(String druh) { this.druh = druh; }
  public String toString() { return druh; }
  void tisk() { System.out.println(druh); }
}

class KosikJablek {
  private ArrayList kosik = new ArrayList();

  public void add(Jablko j) {
    kosik.add(j);
  }

  public Jablko get(int index) {
    return (Jablko) kosik.get(index);
  }

  public int size() {
     return kosik.size();
  }
}

class Hruska {
  private int cena;
  Hruska(int cena) { this.cena = cena; }
  public String toString() { return "" + cena; }
  void tisk() { System.out.println(cena); }
}

public class JablkaAHruskyJednotypovaKolekce {
  public static void main(String[] args) {
    KosikJablek kosJablek = new KosikJablek();
    kosJablek.add(new Jablko("Spartan"));
    kosJablek.add(new Jablko("Reneta"));
    kosJablek.add(new Jablko("Matcino"));
    // a omylem hruska navic neprojde pri prekladu
//    kosJablek.add(new Hruska(21));

    for (int i = 0;  i < kosJablek.size();  i++) {
      kosJablek.get(i).tisk();
    }
  }
}
