/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

interface Tisknutelny {
  public void tisk();
}

class Jablko implements Tisknutelny {
  private String druh;
  Jablko(String druh) { this.druh = druh; }
  public String toString() { return druh; }
  public void tisk() { System.out.println(druh); }
}

class Hruska implements Tisknutelny {
  private int cena;
  Hruska(int cena) { this.cena = cena; }
  public String toString() { return "" + cena; }
  public void tisk() { System.out.println(cena); }
}

public class JablkaAHruskyPomociRozhrani {
  public static void main(String[] args) {
    ArrayList kosOvoce = new ArrayList();
    kosOvoce.add(new Jablko("Spartan"));
    kosOvoce.add(new Jablko("Reneta"));
    kosOvoce.add(new Jablko("Matcino"));
    // zcela spravne hruska navic
    kosOvoce.add(new Hruska(21));

    System.out.println("Kosik ovoce: " + kosOvoce);

    for (int i = 0;  i < kosOvoce.size();  i++) {
      Tisknutelny t = (Tisknutelny) kosOvoce.get(i);
      t.tisk();
    }
  }
}
