/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

public class HashSetATreeSet {

  public static void naplneniATisk(Set st) {
    st.add("treti");
    st.add("prvni");
    st.add("druhy");
    // pokus o vlozeni stejneho prvku
    if (st.add("treti") == false)
      System.out.println("'treti' podruhe nevlozen");
    System.out.println(st.size() + " " + st);
    for (Iterator it = st.iterator(); it.hasNext();) {
      System.out.print(it.next() + ", ");
    }
    if (st.contains("treti") == true) {
      System.out.println("\n'treti' je v mnozine");
    }
    st.remove("treti");
    System.out.println(st);
    st.clear();
  }

  public static void main(String[] args) {
    System.out.println("HashSet:");
    naplneniATisk(new HashSet());
    System.out.println("TreeSet:");
    naplneniATisk(new TreeSet());
  }
}
