/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Hruska implements Comparable {
  private int cena;

  Hruska(int cena) { this.cena = cena; }

  public String toString() { return "" + cena; }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof Hruska == false)
      return false;
    boolean stejnaCena = (cena == ((Hruska) o).cena);
    return stejnaCena;
  }

  public int hashCode() {
    return cena;
  }

  public int compareTo(Object o) {
    int cenaPom = ((Hruska) o).cena;
    if (cenaPom > cena)
      return (-1);
    else if (cenaPom == cena)
      return (0);
    else
      return (+1);
  }
}

public class MinAMaxVMnozine {
  static void praceSHruskami(Set s) {
    for (int i = 20;  i < 30 ;  i++) {
      s.add(new Hruska(i));
    }
    System.out.println(s.getClass().getName());
    System.out.println("Cely kosik: " + s);
    System.out.println("Nejdrazsi hruska: " +
                       Collections.max(s));
    System.out.println("Nejlevnejsi hruska: " +
                       Collections.min(s));
  }

  public static void main(String[] args) {
    praceSHruskami(new HashSet());
    praceSHruskami(new TreeSet());
  }
}
