/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Citac {
  int n = 1;
  public String toString() {
    return Integer.toString(n);
  }
}

public class PoctyJmenMapa {
  public static int pocet = 10000000;

  private static String[] jmena = {"Pavel", "Venca",
                                   "Karel", "Honza"};
  static String simulovaneCteniZeSouboru() {
    if (pocet > 0) {
      pocet--;
      int i = (int) (Math.random() * jmena.length);
      return jmena[i];
    }
    else {
      return null;
    }
  }

  public static void main(String[] args) {
    HashMap hm = new HashMap();
    String s;
    long zac = System.currentTimeMillis();
    while ((s = simulovaneCteniZeSouboru()) != null) {
      if (hm.containsKey(s) == false)
        hm.put(s, new Citac());
      else
        ((Citac) hm.get(s)).n++;
    }
    long kon = System.currentTimeMillis();
    System.out.println("Pocty: " + hm);
    System.out.println("Cas: " + (kon - zac));
  }
}
