/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

class Citac {
  int n = 1;
  public String toString() {
    return Integer.toString(n);
  }
}

public class PoctyJmenMapa2 {
  public static int pocet = 100000;
  public static int rad = 2;

  static String simulovaneCteniZeSouboru() {
    if (pocet > 0) {
      pocet--;
      StringBuffer s = new StringBuffer(4);
      char c;
      for (int i = 1;  i <= rad;  i++) {
        c = (char) ((int) (Math.random() * 10) + 'a');
        s = s.append(c);
      }
      return s.toString();
    }
    else {
      return null;
    }
  }

  public static void main(String[] args) {
    if (args.length >= 1)
      rad = Integer.parseInt(args[0]);
    if (args.length >= 2)
      pocet = Integer.parseInt(args[1]);
    System.out.println("Pocet: " + pocet);
    HashMap hm = new HashMap();
    String s;
    long zac = System.currentTimeMillis();
    while ((s = simulovaneCteniZeSouboru()) != null) {
      if (hm.containsKey(s) == false)
        hm.put(s, new Citac());
      else
        ((Citac) hm.get(s)).n++;
    }
    long kon = System.currentTimeMillis();
    System.out.println("Prvku: " + hm.size());
    System.out.println("Cas: " + (kon - zac));
  }
}
