/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.util.*;

public class CetnostPouzitiVMape {
  public static void main(String[] args) {
    String[] pole = {"1", "6", "2", "5", "4", "3"};
    LinkedHashMap pristup = new LinkedHashMap(16, 0.75F, true);
    for (int i = 0; i < pole.length;  i++)
      pristup.put(pole[i], new Integer(0));
    System.out.println("Po vytvoreni: " + pristup);

    Random r = new Random();
    for (int i = 0; i < 20;  i++) {
      String klic = "" + (r.nextInt(6) + 1);
      System.out.print(klic + " ");
      Integer hodnota = (Integer) pristup.get(klic);
      pristup.put(klic, new Integer(hodnota.intValue() + 1));
    }
    System.out.println();
    System.out.println("Po pristupu:  " + pristup);
  }
}
