/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                 Java -- bohatstv knihoven                  //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2003                      // 
//                                                             //
/////////////////////////////////////////////////////////////////


import java.io.*;
import java.text.*;
import java.util.*;
import java.util.zip.*;

public class ZipVytvoreniSouboru {
  public static void main(String[] args) throws IOException {
    FileOutputStream fo = new FileOutputStream("vystup.zip");
    ZipOutputStream zfo = new ZipOutputStream(fo);
    File fi = new File("ahoj.txt");
    FileInputStream fis = new FileInputStream(fi);
    long delka = fi.length();
    byte[] obsahSouboru = new byte[(int) delka];
    fis.read(obsahSouboru);
    fis.close();

    for (int i = 1;  i <= 3;  i++) {
      String jmenoAdresare = "adr" + i + "/";
      ZipEntry zeAdr = new ZipEntry(jmenoAdresare);
      zfo.putNextEntry(zeAdr);
      zfo.closeEntry();

      String jmenoSouboru = jmenoAdresare + "ahoj" + i + ".txt";
      ZipEntry zeSoub = new ZipEntry(jmenoSouboru);
      zfo.putNextEntry(zeSoub);
      zfo.write(obsahSouboru);
      zfo.closeEntry();
    }
    zfo.close();
  }
}
